# Loki::DeleteNothing< P > Class Template Reference
[Delete policies]

`#include <StrongPtr.h>`

List of all members.

## Detailed Description

### template<class P>
class Loki::DeleteNothing< P >

Implementation of the DeletePolicy used by StrongPtr. This will never delete anything. You can use this policy with pointers to an undefined type or a pure interface class with a protected destructor.

The documentation for this class was generated from the following file:

- StrongPtr.h